org.bouncycastle.jce.provider

## Class GOST3410Util

- java.lang.Object
- - org.bouncycastle.jce.provider.GOST3410Util

    public class GOST3410Util
    extends java.lang.Object

utility class for converting jce/jca GOST3410-94 objects objects into their org.bouncycastle.crypto counterparts.

### Constructor Summary

Constructors
Constructor and Description
`GOST3410Util()`

### Method Summary

Methods
`static AsymmetricKeyParameter` `generatePrivateKeyParameter(java.security.PrivateKey key)`
`static AsymmetricKeyParameter` `generatePublicKeyParameter(java.security.PublicKey key)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GOST3410Util

    public GOST3410Util()

### Method Detail

#### generatePublicKeyParameter

    public static AsymmetricKeyParameter generatePublicKeyParameter(java.security.PublicKey key)
                                                             throws java.security.InvalidKeyException

Throws:
  `java.security.InvalidKeyException`

#### generatePrivateKeyParameter

    public static AsymmetricKeyParameter generatePrivateKeyParameter(java.security.PrivateKey key)
                                                              throws java.security.InvalidKeyException

Throws:
  `java.security.InvalidKeyException`